Update cyrus-imapd from version 2.2 to 2.4 in UCS 3.0

mail
update
servicesforwindows
cyrus

#1

During the update to UCS 3.0 an existing cyrus-imapd (version 2.2) will be preserved and not automatically updated to the UCS 3.0 standard version (version 2.4). The following steps are necessary to update cyrus-imapd to version 2.4 in UCS 3.0:

  • Stop cyrus 2.2, backup the database directory and prepare the update./etc/init.d/cyrus2.2 stop
cp -raf /var/lib/cyrus /var/lib/cyrus.old
  mv /usr/lib/cyrus/cyrus-db-types.active /usr/lib/cyrus/cyrus-db-types.active.bak
  • All broken symlinks in /var/spool/cyrus/sieve/ must be deleted.# find all broken symlinks
 find -L /var/spool/cyrus/sieve -type l
  
  # delete all broken symlinks
  find -L /var/spool/cyrus/sieve -type l -exec rm {}\ ;

The new cyrus-imapd packages must be installed.

univention-install cyrus-imapd-2.4 cyrus-common-2.4 cyrus-common cyrus-admin-2.4 cyrus-pop3d-2.4
  • Finally, the cyrus 2.2 packages can be uninstalled.
 echo "set cyrus-common-2.2/removespools false" | debconf-communicate
  DEBIAN_FRONTEND=noninteractive dpkg -P cyrus-admin-2.2 cyrus-common-2.2 cyrus-imapd-2.2 cyrus-pop3d-2.2

Depending on various factors like the size of the mail spool, size of the deliver.db, the number of mailboxes and the overall system performance the initial start of cyrus 2.4 may take some time as cyrus may clean up and/or convert old databases.

During that time, local mail transport, POP3 and IMAP services may not be reachable (e.g. cyrus does not bind to the specified ports) and you might see lots of “Index upgrade” messages from “cyr_expire” in /var/log/mail.log.